RUNLEVEL(8)

NOM
runlevel - Trouver les niveaux d'exécution courant et précédent

SYNOPSIS
runlevel [utmp]

DESCRIPTION
runlevel lit le fichier système utmp (typiquement /var/run/utmp) pour trouver l'enregistrement du niveau d'exécution et affiche sur sa sortie standard les niveaux d'exécution courant et précédent, séparés par une espace. S'il n'y a pas de niveau d'exécution précédent, la lettre N sera affichée à la place.

Si aucun fichier utmp n'existe, ou si aucun enregistrement de niveaux d'exécution ne peut être trouvé, runlevel affiche le mot unknown et quitte avec une erreur.

runlevel peut être utilisé dans les scripts rc en substitution de la commande System-V who -r. Toutefois, dans les nouvelles versions de init(8), cette information est également disponible dans les variables d'environnement RUNLEVEL et PREVLEVEL.

OPTIONS

utmp
    Le nom du fichier utmp à lire.

AUTEUR
Miquel van Smoorenburg, miquels@cistron.nl

VOIR AUSSI
utmp(5), init(8)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 26 juin 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 runlevel ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.